org.eclipse.viatra.query.runtime.matchers.tuple

## Class TupleMaskIdentity

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.tuple.TupleMask
  - - org.eclipse.viatra.query.runtime.matchers.tuple.TupleMaskIdentity

-     public final class TupleMaskIdentity
      extends TupleMask

  Since:
    1.7

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.TupleMask

      `indices, sourceWidth`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIdentity()`
    `Tuple` | `revertFrom(ITuple masked)` Returns a tuple `result` that satisfies `this.transform(result).equals(masked)`.
    `Tuple` | `transform(ITuple original)` Generates an immutable, masked view of the original tuple.
    `<T> java.util.List<T>` | `transform(java.util.List<T> original)` Generates an immutable, masked view of the original tuple.
    `TupleMask` | `transform(TupleMask mask)` Transforms a given mask directly, instead of transforming tuples that were transformed by the other mask.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.tuple.TupleMask

      `append, combine, constructLinearSequence, displace, empty, equals, fromKeepIndicators, fromNonNullIndices, fromSelectedIndices, fromSelectedIndices, fromSelectedIndicesInternal, fromSelectedMonotonicIndicesInternal, getFirstOmittedIndex, getIndicesAsList, getSize, getSourceWidth, getValue, hashCode, identity, integersToIntArray, isNonrepeating, keepSelectedIndices, linear, omit, selectSingle, set, toString, transformUnique`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### transform

          public <T> java.util.List<T> transform(java.util.List<T> original)

      Description copied from class: `TupleMask`
      Generates an immutable, masked view of the original tuple.

      The list will have arity `TupleMask.getSize()`, and will consist of the elements of the original tuple, at positions indicated by this mask.

      Overrides:
        `transform` in class `TupleMask`

    - #### transform

          public Tuple transform(ITuple original)

      Description copied from class: `TupleMask`
      Generates an immutable, masked view of the original tuple.

      The new tuple will have arity `TupleMask.getSize()`, and will consist of the elements of the original tuple, at positions indicated by this mask.

      Overrides:
        `transform` in class `TupleMask`

    - #### transform

          public TupleMask transform(TupleMask mask)

      Description copied from class: `TupleMask`
      Transforms a given mask directly, instead of transforming tuples that were transformed by the other mask.
      Overrides:
        `transform` in class `TupleMask`
      Returns:
        a mask that cascades the effects this mask after the mask provided as parameter.

    - #### revertFrom

          public Tuple revertFrom(ITuple masked)

      Description copied from class: `TupleMask`
      Returns a tuple `result` that satisfies `this.transform(result).equals(masked)`. Positions of the result tuple that are not determined this way will be filled with null.
      Overrides:
        `revertFrom` in class `TupleMask`

    - #### isIdentity

          public boolean isIdentity()

      Overrides:
        `isIdentity` in class `TupleMask`
      Returns:
        true iff this mask is a no-op